
    function setCookie(name,value,days) {
        let expires = "";
        if (days) {
            let date = new Date();
            date.setTime(date.getTime() + (days*24*60*60*1000));
            expires = "; expires=" + date.toUTCString();
        }
        document.cookie = name + "=" + (value || "")  + expires + "; path=/";
    }
    function getCookie(name) {
        let nameEQ = name + "=";
        let ca = document.cookie.split(';');
        for(let i=0;i < ca.length;i++) {
            let c = ca[i];
            while (c.charAt(0)==' ') c = c.substring(1,c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
        }
        return null;
    }
    function delCookie(name) {
        document.cookie = name +'=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
    }

    function setFbPixelImg(pixel, type='PageView'){

        if(!pixel){
            console.log('pixel not found');
            return;
        }

        let img = document.createElement("img");

        img.src = "https://www.facebook.com/tr?id="+pixel+"&ev="+type+"&noscript=1";
        let body = document.getElementsByTagName("body");

        body[0].appendChild(img);
        console.log(img);
    }

    (function () {
        console.log('Include Pixel script');
        let pixel = new URLSearchParams(window.location.search).get('pid');

        if (pixel){
           setCookie('fbpixel', pixel, 1) ;
           console.log('Fb Pixel in cookie PageView = '+pixel);
            setFbPixelImg(pixel,'PageView' );

        }else{
            let pixelApproval = getCookie('fbpixel');
            if(pixelApproval){
                setFbPixelImg(pixelApproval,'Lead' );
                console.log('Fb Pixel in cookie Lead = '+pixelApproval);
                delCookie('fbpixel');
            }else{
                console.log('Нет параметра "pid" - нет FB пикселя')
            }
        }


    })();



