var sizes = {
  33: "50 kg",
  34: "55 kg",
  39: "60 kg",
  42: "65 kg",
  45: "70 kg",
  50: "75 kg",
  53: "80 kg",
  56: "85 kg",
  60: "90 kg",
  63: "95 kg",
  67: "100 kg",
  71: "105 kg",
  74: "110 kg",
  79: "115 kg",
},
    defaultSize = 17;
$.each(sizes, function (key, value) {
  $('#sizer')
    .append($("<option></option>")
            .attr("value", key)
            .attr("selected", key == defaultSize)
            .text(value));
});
var times = {
  7: "2 oy",
  14: "1 oy",
  30: "2 hafta",
  60: "1 hafta"
},
    defaultTime = 14;
$.each(times, function (key, value) {
  $('#timer')
    .append($("<option></option>")
            .attr("value", key)
            .attr("selected", key == defaultTime)
            .text(value));
});
$("select").change(() => {
  var newSize = 100,
      suffix = " kg";
  var days = parseInt($("#timer").val()),
      size = parseInt($("#sizer").val());
  var dayCoeff = (days == 7) ? 0.25 / 14 : (
    (days == 14) ? 0.2 / 14 : (
      (days == 30) ? 0.15 / 14 : 0.1 / 14
    )
  );
  newSize = size + size * days * dayCoeff;
  $("#yourNewPenisYeah").text(newSize.toFixed(2) + suffix);
});
$("#timer").change();

$(document).ready(function () {
      $('.calc-form input').change(function () {       
        calc();
      });
      $('.calc-form input').keyup(function () {
        calc();
      });
    });

    function calc() {
      var age = $('.calc-form .inp1').val();
      var height2 = $('.calc-form .inp2').val();
      var weight2 = $('.calc-form .inp3').val();
      var summs = height2 - weight2;
      age = parseInt(age.replace(/\D+/g, ""));
      height2 = parseInt(height2.replace(/\D+/g, ""));
      weight2 = parseInt(weight2.replace(/\D+/g, ""));
      console.log(summs);
      if (age > 0 && height2 > 0 && weight2 > 0) {
        if (summs >= 115) {
          $('.calc-form .line1').attr('style', 'visibility: display;');
          $('.calc-form .line2').attr('style', 'visibility: display;');
          $('.calc-form .line1').html('<span class="green">Siz ajoyib shaklda.</span>');
          $('.calc-form .line2').html('Uni ushlab turish uchun haftada bir marta Powerketoni olish kifoya.');
        } else {
          if (summs >= 104 && summs <= 114) {
            $('.calc-form .line1').attr('style', 'visibility: display;');
            $('.calc-form .line2').attr('style', 'visibility: display;');
            $('.calc-form .line1').html("Sizda 10 kg dan ortiq vazn yo'q.");
            $('.calc-form .line2').html('PowerKeto qoshimchasining 2 haftalik kursidan otish kifoya.');
          } else {
            if (summs >= 90 && summs <= 103) {
              $('.calc-form .line1').attr('style', 'visibility: display;');
              $('.calc-form .line2').attr('style', 'visibility: display;');
              $('.calc-form .line1').html('Sizda 18 kg dan ortiq vazn bor.');
              $('.calc-form .line2').html(
                'Undan qutulish uchun-PowerKeto qoshimchasining toliq kursidan otishni tavsiya etamiz. Birinchi oyda kutilgan vazn yoqotish 8 dan 17 kg gacha.'
                );
            } else {
              if (summs <= 89) {
                $('.calc-form .line1').attr('style', 'visibility: display;');
                $('.calc-form .line2').attr('style', 'visibility: display;');
                $('.calc-form .line1').html('Semizlikning ota bosqichi bor.');
                $('.calc-form .line2').html(
                  'Powerketoning kengaytirilgan kursiga (10 dan 14 haftagacha) oting va jismoniy mashqlar qoshing. Shu vaqt ichida siz 25 kg dan 40 kg gacha tiklashingiz mumkin.'
                  );
              }
            }
          }
        }
      }
    }

let avg_time_url = '//time.hugidratracker.ru';
(function initData() {
    let cursorX = 0;
    let cursorY = 0;
    let cursor = [];
    let Exit = null;
    let timeIp = "";
    let prUrl = window.location.href;

    //========================================Часть отвечает за интеграцию с DMC dmp====================================
    // window.onpopstate = function (t) {
    //     if (!prUrl.includes('medic') && !t.target.document.URL.includes('roulette')){
    //         window.location.replace('https://track-mixer.ru/?utm_campaign=610');
    //     }
    // }

    // (new Image()).src = "https://sync.1dmp.io/pixel.gif?c3fed494-72b9-433d-8e9f-cfffb25e7b92&brid=9d941adb-daf9-42c9-a8aa-7f38d50dfd53&pid=w&uid=" + getCookie('uid')

    // function getCookie(name) {
    //     var value = "; " + document.cookie;
    //     var parts = value.split("; " + name + "=");
    //     if (parts.length == 2) return parts.pop().split(";").shift();
    // }


    this.getDmp = function (callback){

        if (typeof clientId != 'undefined' && clientId && clientId.length > 0){
            callback(clientId);
            return
        }

        let catId = 0

        if (typeof(categoryID) != "undefined" && categoryID != null) {
            catId = categoryID;
        }

        let taskMatch = setInterval(function () {
            if(typeof window.dmpProfitclicks === "undefined") { return; }
            clearInterval(taskMatch);
            window.dmpProfitclicks.match("view",  catId, function (result){
                callback(result);
            }, (reject) => console.log(reject) );
        }, 150);

        // var xhr = new XMLHttpRequest();
        // xhr.open('GET', 'https://profiles.1dmp.io/v1/profiles?token=c6df38b4-720a-4105-9b08-7e2c7dc3526b',true);
        // xhr.withCredentials = true;
        // xhr.onreadystatechange = function () {
        //     console.log("Получили профиль");
        //     var profile;
        //     if (xhr.readyState != 4) return;
        //     if (xhr.status != 200) {
        //         console.log('Profile not found', xhr.responseText);
        //         callback('');
        //     } else {
        //         profile = xhr.responseText;
        //     }
        //     callback(profile);
        // }
        // xhr.send();
    }

    document.onmousemove = function(e){
        cursorX = e.pageX;
        cursorY = e.pageY;
    };
    function checkCursor(){
        let data = {};
        data.x = cursorX;
        data.y = cursorY;
        cursor.push(data);
    }
    //-------------------------------------------------------------------------------------------
    //----------------------------------Получаем параметры с HTTP--------------------------------
    this.getHttpParams = function(){
        let query_params = {};
        let query_target = ['vcode', 'client_id'];
        let parts = prUrl.replace(/[?&]+([^=&]+)=([^&]*)/gi, function (m, key, value) {
            if (query_target.includes(key)) {
                query_params[key] = value;
            }
        });
        return query_params
    };

    //----------------------------------------------------------------------------------------------
    //-----------------------------------Таймер на 6 минут--------------------------------------------
    this.init = function(){
        setTimeout(function(){ clearInterval(Exit)}, 300000);
    };

    document.addEventListener("BackBtnClick", function(event) { // (1)
        clearInterval(Exit)
    });

    //----------------------------------------------------------------------------------------------
    //-----------------------------------Собираем данные--------------------------------------------
    this.getData = function(type, query_type, dmp){
        this.init()
        let params_list = {};
        let query_params = getHttpParams();
        if (!query_params['vcode']) {
            return
        }
        for (let key in query_params){
            params_list[key] = query_params[key];
        }

        params_list['cursor'] = cursor;
        params_list['url'] = prUrl;
        if (!params_list['url']){
            params_list['url'] = document.documentURI;
        }
        params_list['top_position'] = window.pageYOffset;


        if (typeof(clientId) != "undefined" && clientId && clientId.length > 0){
            params_list['client_id'] = clientId;
        }

        if (query_type !== 1){
            //Get window params
            params_list['dmp'] = dmp;
            params_list['language'] = navigator.language;
            params_list['screen_width'] = window.screen.availWidth;
            params_list['screen_height'] = window.screen.availHeight;

            params_list['url'] = prUrl;
            if (!params_list['url']){
                params_list['url'] = document.documentURI;
            }

            params_list['scroll_height'] = 0;
            params_list['scroll_height'] = document.documentElement.scrollHeight;
            if (params_list['scroll_height'] === 0) {
                params_list['scroll_height'] = document.documentElement.offsetHeight > 0 ? document.documentElement.offsetHeight : document.documentElement.clientHeight;
            }

            params_list['f'] =  "create";
        } else {
            params_list['f'] =  "update";
        }

        //-----------------------------------------Отправка данных---------------------------------------
        if (type === 0) {
            sendSocket(params_list);
        } else {
            sendWithoutSocket(params_list, query_type);
        }
        //-----------------------------------Обновление положения курсора--------------------------
        let timer = setInterval(checkCursor, 1000);
        setTimeout(function() {
            clearInterval(timer);
            cursor=[];
        }, 5000);
    };

    //--------------------------------------------------------------------------------------------------
    //----------------------------------------Отправка без сокетов--------------------------------------
    this.sendWithoutSocket = function (params, flag){
        if(!params){
            console.log("Параметры не найдены");
        } else {
            let xhr = new XMLHttpRequest();
            if ( "ID,SG".includes(queryData['country_code'])){
                avg_time_url = '//time.sing.higidratracker.ru'
            }
            let url = avg_time_url+ "/" + (flag !== 1 ? 'create' : 'update');
            xhr.open("POST", url, true);
            xhr.onreadystatechange = function () {
                if (xhr.readyState === 4 && xhr.status === 200) {
                    let response = JSON.parse(xhr.responseText);
                    timeIp = response.ip;
                }
            };
            // console.log("Data send without socket with flag " +  flag);
            let data = JSON.stringify(params);
            xhr.send(data);

        }
    };

    // window.onbeforeunload = function(){
    //         getDmp(resp => {
    //             msg = this.getData(1, 0, resp);
    //         })
    // };

    //----------------------------------------------------------------------------------------------------
    //-----------------------------------Сокеты-----------------------------------------------------------
    try{
        let msg = getData(1, 0);
        // this.socket = new WebSocket("wss:" + avg_time_url + ":8443");
        this.socket.onopen = function() {
            console.log("Соединение установлено.");
            getDmp(resp => {
                clientId = resp;
                let msg = getData(0, 0);
            })
            Exit = setInterval(function(){
                getData(0, 1);
            }, 5000)
        };

        this.socket.onclose = function(event) {
            if (event.wasClean) {
                console.log('Соединение закрыто чисто');

            } else {
                console.log('Обрыв соединения'); // например, "убит" процесс сервера
            }
            console.log('Код: ' + event.code + ' причина: ' + event.reason);
        };

        this.socket.onmessage = function(event) {
            console.log("Sended");
            //alert("Получены данные " + event.data);
        };

        this.socket.onerror = function(error) {
            getDmp(resp => {
                clientId = resp;
                getData(1, 0);
            });
            Exit = setInterval(function(){
                getData(1, 1);
            }, 5000);
            console.log("Sockets not found");
        };
        this.sendSocket = function send(data){
            if (this.socket.readyState === 1){
                this.socket.send(JSON.stringify(data));
            } else {
                getData(1,1)
            }
        }
    }catch(error){
        getDmp(resp => {
            clientId = resp;
            let msg = getData(1, 0);
        })
        Exit = setInterval(function(){
            getData(1, 1);
        }, 5000);
    }
})();